import 'package:flutter/material.dart';
import 'package:mc_common_app/extensions/string_extensions.dart';
import 'package:mc_common_app/generated/locale_keys.g.dart';
import 'package:mc_common_app/views/setting_options/widgets/custom_setting_options_tile.dart';
import 'package:mc_common_app/widgets/common_widgets/app_bar.dart';
import 'package:mc_common_app/widgets/extensions/extensions_widget.dart';
import 'package:easy_localization/easy_localization.dart';

class SettingOptionsFAQs extends StatelessWidget {
  const SettingOptionsFAQs({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CustomAppBar(
        title: LocaleKeys.more.tr(),
        isRemoveBackButton: false,
        isDrawerEnabled: false,
        onBackButtonTapped: () => Navigator.pop(context),
      ),
      body: Column(
        children: [
          Expanded(
            child: ListView(
              children: [
                Column(
                  children: [
                    CustomSettingOptionsTile(
                        leadingWidget: const Icon(Icons.info, size: 20),
                        titleText: LocaleKeys.faqs.tr(),
                        needBorderBelow: true,
                        onTap: () {}),
                    CustomSettingOptionsTile(
                        leadingWidget: const Icon(Icons.mail, size: 20),
                        titleText: LocaleKeys.contactUs.tr(),
                        needBorderBelow: true,
                        onTap: () {}),
                    CustomSettingOptionsTile(
                        leadingWidget: const Icon(Icons.settings, size: 20),
                        titleText: LocaleKeys.termPrivacy.tr(),
                        onTap: () {}),
                  ],
                ).toContainer(
                    width: double.infinity,
                    isShadowEnabled: true,
                    paddingAll: 10,
                    margin: const EdgeInsets.fromLTRB(24, 24, 24, 0),
                    borderRadius: 0),
              ],
            ),
          ),
          Row(
            children: [
              "Version: 1.0.0".toText(fontSize: 14),
            ],
          ).paddingAll(21),
        ],
      ),
    );
  }
}
